
##

if {"" == [info globals __kinema_tcl__]} {
set __kiname_tcl__ 0

###

set kinGirlCounter 0
set kinBoyCounter 0

proc KinGirlMove { obj ev userdata } {
    global kinGirlCounter
    global vsCSWorld vsAbsolute vsRelative
    set x 0.0
    set y 0.0
    set z 0.0
    
    if { $kinGirlCounter < 400 } {
        incr kinGirlCounter
        vsKinNextPosture $obj
    } {
        set kinGirlCounter 0
        vsGetObjWRT $obj x y z
        vsTranslate $obj 0.0 0.0 0.0 $vsCSWorld $vsAbsolute
        vsRotateAngle $obj 0.0 180.0 0.0 $vsCSWorld $vsRelative
        vsTranslate $obj $x $y $z $vsCSWorld $vsAbsolute
    }
}

proc KinBoyMove { obj ev userdata } {
    global kinBoyCounter
    global vsCSWorld vsAbsolute vsRelative
    set x 0.0
    set y 0.0
    set z 0.0
    
    if { $kinBoyCounter < 400 } {
        incr kinBoyCounter
        vsKinNextPosture $obj
    } {
        set kinBoyCounter 0
        vsGetObjWRT $obj x y z
        vsTranslate $obj 0.0 0.0 0.0 $vsCSWorld $vsAbsolute
        vsRotateAngle $obj 0.0 180.0 0.0 $vsCSWorld $vsRelative
        vsTranslate $obj $x $y $z $vsCSWorld $vsAbsolute
    }
}

proc KinGirlInit { obj ev userdata } {
    global vsTclScript vsPeriodicTask vsCSWorld vsRelative
    set girl 0

    vsKinNew  ../models/girl.wrl girl
    vsTranslate $girl -21.0 0.0 -35.5 $vsCSWorld $vsRelative
    vsAddTimeOutHandler $girl 300 $vsTclScript "" KinGirlMove 0 $vsPeriodicTask
}

proc KinBoyInit { obj ev userdata } {
    global vsTclScript vsPeriodicTask vsCSWorld vsRelative
    set boy 0

    vsKinNew ../models/boy.wrl boy
    vsTranslate $boy -21.0 0.0 -35.5 $vsCSWorld $vsRelative
    vsAddTimeOutHandler $boy 250 $vsTclScript "" KinBoyMove 0 $vsPeriodicTask
}

##
}

## end of file 
