#-----------------------------------------------------------------------------
# Copyright(C) 1995 Sony Corporation
# All Rights Reserved.
#
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Sony Corporation;
# the contents of this file is not to be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior written
# permission of Sony Corporation.
#
# File:   run.tcl 
# Auther: sugino
#----------------------------------------------------------------------------*/
#
if {"" == [info globals __run_tcl__]} {
set __run_tcl__ 0
# car.tcl 
#
# car runnning in NY.
#

############################################
# car position .set by initial TimeoutHandler
# { x y z cx cy cz count course point colorNo}
# count: translate
# course: R[Xԍ
# point : R[X|Cgԍ
# colorNo:ԑ̐Fԍ
############################################
set CarPerson 0
set WithPerson 0  ; # for DEBUG
# curren position of car.
set Car(0,cx) 0.0
set Car(0,cy) 0.0
set Car(0,cz) 0.0
# inc value 
set Car(0,ix) 0.0
set Car(0,iy) 0.0
set Car(0,iz) 0.0
# start Angle of Car .
set Car(0,cax)  0.0
set Car(0,cay)  0.0
set Car(0,caz)  0.0

set Car(0,iax)  0.0
set Car(0,iay)  0.0
set Car(0,iaz)  0.0

############################################
# moving course 
#  (start worldrotate) (start point) (end point) (inc value)
# {wrx wry wrz sx sy sz ex ey ez ix iy iz}...
# {wrxn wryn wrzn sxn syn szn exn eyn ezn ixn iyn izn}
############################################
set CourseMax 1

set Course(0,max)      18    ;# turn count

set Course(0,sx) 138.6 
set Course(0,sy) 8.0
set Course(0,sz) -188.726

set Course(0,sax) 0.0
set Course(0,say) 270.0
set Course(0,saz) 0.0
####################
set Course(0,0,count) 1
set Course(0,0,turn)  1
set Course(0,0,ex) 138.6 
set Course(0,0,ey) 8.0
set Course(0,0,ez) -188.726

set Course(0,0,eax) 0.0
set Course(0,0,eay) 270.0
set Course(0,0,eaz) 0.0

####################
set Course(0,1,count) 100
set Course(0,1,turn) 0
set Course(0,1,ex) -142.2
set Course(0,1,ey) 8.0
set Course(0,1,ez) -188.726

##################
set Course(0,2,count) 100
set Course(0,2,turn) 1
set Course(0,2,ex) -181.809
set Course(0,2,ey) 8.0
set Course(0,2,ez) -142.2

set Course(0,2,eax) 0.0
set Course(0,2,eay) 360.0
set Course(0,2,eaz) 0.0
##################
# for angle reset .
set Course(0,3,count) 1
set Course(0,3,turn) 1
set Course(0,3,ex) -181.809
set Course(0,3,ey) 8.0
set Course(0,3,ez) -142.2

set Course(0,3,eax) 0.0
set Course(0,3,eay) 0.0
set Course(0,3,eaz) 0.0

###################
set Course(0,4,count) 100
set Course(0,4,turn) 0
set Course(0,4,ex) -181.809
set Course(0,4,ey) 8.0
set Course(0,4,ez) 139.2

####################
set Course(0,5,count) 100
set Course(0,5,turn) 1
set Course(0,5,ex) -142.2
set Course(0,5,ey) 8.0
set Course(0,5,ez) 184.830

set Course(0,5,eax) 0.0
set Course(0,5,eay) 90.0
set Course(0,5,eaz) 0.0

#########################
set Course(0,6,count) 100
set Course(0,6,turn) 0

set Course(0,6,ex) 138.6
set Course(0,6,ey) 8.0
set Course(0,6,ez) 184.830
#########################
set Course(0,7,count) 100
set Course(0,7,turn) 1

set Course(0,7,ex) 181.809
set Course(0,7,ey) 8.0
set Course(0,7,ez) 139.2

set Course(0,7,eax) 0.0
set Course(0,7,eay) 180.0
set Course(0,7,eaz) 0.0
##########################
set Course(0,8,count) 100
set Course(0,8,turn)  0

set Course(0,8,ex) 181.809
set Course(0,8,ey) 8.0
set Course(0,8,ez) 86.4
##########################
set Course(0,9,count) 100
set Course(0,9,turn) 1

set Course(0,9,ex) 138.6
set Course(0,9,ey) 8.0
set Course(0,9,ez) 38.792

set Course(0,9,eax) 0.0
set Course(0,9,eay) 270.0
set Course(0,9,eaz) 0.0

#############################
set Course(0,10,count) 100
set Course(0,10,turn) 0

set Course(0,10,ex) -142.2
set Course(0,10,ey) 8.0
set Course(0,10,ez) 38.792

#############################
set Course(0,11,count) 100
set Course(0,11,turn) 1

set Course(0,11,ex) -154.129
set Course(0,11,ey) 8.0
set Course(0,11,ez) 24.6

set Course(0,11,eax) 0.0
set Course(0,11,eay) 180.0
set Course(0,11,eaz) 0.0
#############################
set Course(0,12,count) 100
set Course(0,12,turn) 0

set Course(0,12,ex) -154.129
set Course(0,12,ey) 8.0
set Course(0,12,ez) -28.6
#############################
set Course(0,13,count) 100
set Course(0,13,turn)  1

set Course(0,13,ex) -142.2
set Course(0,13,ey) 8.0
set Course(0,13,ez) -44.520

set Course(0,13,eax) 0.0
set Course(0,13,eay) 90.0
set Course(0,13,eaz) 0.0
############################
set Course(0,14,count) 100
set Course(0,14,turn)  0

set Course(0,14,ex) 138.6
set Course(0,14,ey) 8.0
set Course(0,14,ez) -44.520
############################
set Course(0,15,count) 100
set Course(0,15,turn) 1

set Course(0,15,ex) 181.809
set Course(0,15,ey) 8.0
set Course(0,15,ez) -88.8

set Course(0,15,eax) 0.0
set Course(0,15,eay) 180.0
set Course(0,15,eaz) 0.0
############################
set Course(0,16,count) 100
set Course(0,16,turn) 0
set Course(0,16,ex) 181.804
set Course(0,16,ey) 8.0
set Course(0,16,ez) -142.2
###########################
set Course(0,17,count) 100
set Course(0,17,turn) 1

set Course(0,17,ex) 138.6
set Course(0,17,ey) 8.0
set Course(0,17,ez) -188.726

set Course(0,17,eax) 0.0
set Course(0,17,eay) 270.0
set Course(0,17,eaz) 0.0


############################################
# Car Turn
############################################
proc CarMove {obj carNo} {
    global Car Course CarPerson WithPerson
    global vsCSLocal vsAbsolute vsCSWorld vsRelative ; #vsvalue
    set x 0.0
    set y 0.0
    set z 0.0

    if {$Course($Car($carNo,course),$Car($carNo,point),turn) == 1} {
	set Car($carNo,ax) [expr $Car($carNo,ax)+$Car($carNo,iax)]
	set Car($carNo,ay) [expr $Car($carNo,ay)+$Car($carNo,iay)] 
	set Car($carNo,az) [expr $Car($carNo,az)+$Car($carNo,iaz)]

	vsObjectWRT $obj x y z
	vsObjectTranslate $obj  0.0 0.0 0.0 $vsCSWorld $vsAbsolute
	vsObjectRotateAngle $obj $Car($carNo,ax) \
		$Car($carNo,ay) $Car($carNo,az) \
		$vsCSWorld $vsAbsolute
	vsObjectTranslate $obj  $x $y $z $vsCSWorld $vsAbsolute
        if {$WithPerson == 1 && $CarPerson != 0} { 	
	    vsTranslate $CarPerson  $x [expr $y-6.0] \
                              $z $vsCSWorld $vsAbsolute
        }
#vsMessage  "Angle : $obj $Car($carNo,ax) \
#	    $Car($carNo,ay) $Car($carNo,az)"

    }
    set Car($carNo,tx) [expr $Car($carNo,tx)+$Car($carNo,ix)]
    set Car($carNo,ty) [expr $Car($carNo,ty)+$Car($carNo,iy)] 
    set Car($carNo,tz) [expr $Car($carNo,tz)+$Car($carNo,iz)]
    vsTranslate $obj $Car($carNo,tx) \
	    $Car($carNo,ty) $Car($carNo,tz) \
	    $vsCSWorld $vsAbsolute
    if {$WithPerson == 1 && $CarPerson != 0} {
        vsTranslate $CarPerson $Car($carNo,tx) \
	    [expr $Car($carNo,ty)-6.0] $Car($carNo,tz) \
	    $vsCSWorld $vsAbsolute
    }
#vsMessage  "Trans : $obj $Car($carNo,tx) \
#	    $Car($carNo,ty) $Car($carNo,tz)"
}
############################################
# Local TranslatelCar(,x|y|z)ɐݒ
# inc countݒ
############################################
proc CarSetTransVal {obj carNo} {
    # translatel̐ݒ
    global Car Course vsCSWorld vsAbsolute WithPerson

    set c $Car($carNo,course)
    set p $Car($carNo,point)
    if {$WithPerson == 1} {
      if {$Course($c,$p,count) > 4} {
        set Car($carNo,count) [expr $Course($c,$p,count)/4]
      } {
        set Car($carNo,count) $Course($c,$p,count)
      }
    } {
        set Car($carNo,count) $Course($c,$p,count)
    }

    if {$p != 0} {
	set pp [expr $p -1]
	foreach d {x y z} {
	    #݈ʒúAO̓B_
	    set Car($carNo,c$d) $Course($c,$pp,e$d)
	    set Car($carNo,t$d) $Course($c,$pp,e$d)
	    if {$Course($c,$pp,turn) == 1} {	    
		#݂̂ނǑ
		set Car($carNo,ca$d) $Course($c,$pp,ea$d)
		set Car($carNo,a$d) $Course($c,$pp,ea$d)
	    }
	}
    }		

    foreach d {x y z} {
	#inc translate value
	set t [expr $Course($c,$p,e$d)-$Car($carNo,c$d)]
	set Car($carNo,i$d) [expr $t/$Car($carNo,count)]
	if {$Course($c,$p,turn) == 1} {
	    #inc angle value
	    set t [expr $Course($c,$p,ea$d)-$Car($carNo,ca$d)]
	    set Car($carNo,ia$d) [expr $t/$Car($carNo,count)]
	}
    }
    vsTranslate $obj $Car($carNo,cx) \
	    $Car($carNo,cy) $Car($carNo,cz) \
	    $vsCSWorld $vsAbsolute

}
############################################
# new course
#
# initialize the Car table
############################################
proc CarReady {obj carNo} {
    global Car Course CourseMax
    global vsCSLocal vsAbsolute vsCSWorld ; #vsvalue

    # course̐ݒ
    if {$Car($carNo,course) == -1} {
	set Car($carNo,course)  $carNo
    } {
	set i $Car($carNo,course)
	incr i
	if {$i >= $CourseMax} {
	    set i 0
	}
	set Car($carNo,course)  $i
    }

#vsWarning "$carNo $Car($carNo,course)"

    set c $Car($carNo,course)

    set Car($carNo,point) 0
    set Car($carNo,cx) $Course($c,sx) 
    set Car($carNo,cy) $Course($c,sy) 
    set Car($carNo,cz) $Course($c,sz) 
    set Car($carNo,cax) $Course($c,sax) 
    set Car($carNo,cay) $Course($c,say) 
    set Car($carNo,caz) $Course($c,saz) 
    set Car($carNo,ax) $Course($c,sax) 
    set Car($carNo,ay) $Course($c,say) 
    set Car($carNo,az) $Course($c,saz) 
    set Car($carNo,tx) $Course($c,sx) 
    set Car($carNo,ty) $Course($c,sy) 
    set Car($carNo,tz) $Course($c,sz) 

    CarSetTransVal $obj $carNo
}

############################################
# Car Init 
# 
# set car to start position and running start
############################################
proc CarPosInit {obj ev carNo} {
    global vsTclScript vsPeriodicTask Car  ; #vsvalue
    global CarPerson

    set Car($carNo,course) -1
    set Car($carNo,run) 0
    if {$CarPerson == 0} { 
        set CarPerson [vsGetActiveCamera $obj]
    }
    # ready to run
    set Car($carNo,run) 1
    CarReady $obj $carNo

    # start running .
    vsAddTimeOutHandler $obj 500 $vsTclScript \
                        "" CarRun $carNo $vsPeriodicTask

    #CarTglRun $obj 0 0 $carNo
#vsWarning "$obj $carNo"
}
    
############################################
# Car Running Proc 
############################################
proc CarRun {obj ev carNo} {
    global Car Course 
    global vsContinue  vsCSWorld  vsAbsolute vsStop
    global vsCSLocal  vsRelative  vsCSWorld vsAbsolute
    global vsFalse vsTrue

    set ret 0

#    vsIntersectVsTopObjAndVsWorld $obj $vsFalse $vsFalse ret
#    if {$ret == $vsTrue} {
#        vsMessage "crash $obj"
#    }

    # carIɂǂ蒅`FbNB

    if {$Car($carNo,count) > 0} {
	CarMove $obj $carNo
	incr Car($carNo,count) -1
    } {
	incr Car($carNo,point) 
	if {$Car($carNo,point)>=$Course($Car($carNo,course),max)} {
	    CarReady $obj $carNo    	
	} {
	    CarSetTransVal $obj $carNo	    
	}
    }

#vsMessage "$obj  $Car($carNo,x) $Car($carNo,y) $Car($carNo,z) $vsCSWorld $vsAbsolute"

    if {$Car($carNo,run) == 1} {
	return $vsContinue
    } {
	return $vsStop
    }
}
#

proc CarTglRun { obj ev carNo } {
    global vsRightButtonDown Car vsTclScript vsPeriodicTask
    global vsRightButtonDown WithPerson Course

    if {$WithPerson == 1} {
        incr WithPerson -1
    } {
        incr WithPerson 
	incr Car($carNo,point) 
	if {$Car($carNo,point)>=$Course($Car($carNo,course),max)} {
	    CarReady $obj $carNo    	
	} {
	    CarSetTransVal $obj $carNo	    
	}
    }
    #set e [vsGetEventType $ev]
#vsMessage "$e"    
    #if {$e != $vsRightButtonDown} {
        #return 0
    #}      
    #vscpSendApplEvent $obj $vsRightButtonDown $carNo
#vsMessage "$carNo $Car($carNo,run)"
    #if {$Car($carNo,run) == 1} {
	#set Car($carNo,run) 0
    #} {
	#set Car($carNo,run) 1
        #vsAddTimeOutHandler $obj 500 $vsTclScript \
                        # "" CarRun $carNo $vsPeriodicTask
#	
    #}
#vsMessage "$Car($carNo,run) $carNo"
}

proc GetPersonProc {obj ev u} {
    global CarPerson vsContinue vsStop

    set CarPerson [vsGetActiveCamera $obj]
    if {$CarPerson == 0} {
        retrun $vsContinue
    }
    return $vsStop
}

set CarworldIn 0
set PWRT(x) 0.0
set PWRT(y) 0.0
set PWRT(z) 0.0

proc CarworldInit {obj ev u} {
    global CarworldInit PWRT CarworldIn
    global vsCSWorld vsAbsolute vsCSLocal
    global CarPerson vsTclScript vsPeriodicTask

    if {$CarPerson == 0} { 
         vsAddTimeOutHandler $obj 500 $vsTclScript \
                        "" GetPersonProc 0 $vsPeriodicTask
    }
    
    if {$CarworldIn == 0 && $CarPerson != 0} {
        vsGetObjWRT $CarPerson  PWRT(x)  PWRT(y) PWRT(z) 
        set CarworldIn 1
    } 
}

###

}

## end of file
